## shishi-version.h

shishi-version.h — version symbols

## Types and Values

#define | SHISHI_VERSION
#define | SHISHI_VERSION_MAJOR
#define | SHISHI_VERSION_MINOR
#define | SHISHI_VERSION_PATCH
#define | SHISHI_VERSION_NUMBER

## Description

The shishi-version.h file contains version symbols. It should not be included directly, only via shishi.h.

## Functions

## Types and Values

### SHISHI_VERSION

    #define             SHISHI_VERSION

Pre-processor symbol with a string that describe the header file version number. Used together with `shishi_check_version()` to verify header file and run-time library consistency.

### SHISHI_VERSION_MAJOR

    #define             SHISHI_VERSION_MAJOR

Pre-processor symbol with a decimal value that describe the major level of the header file version number. For example, when the header version is 1.2.3 this symbol will be 1.

Since: 1.0.3

### SHISHI_VERSION_MINOR

    #define             SHISHI_VERSION_MINOR

Pre-processor symbol with a decimal value that describe the minor level of the header file version number. For example, when the header version is 1.2.3 this symbol will be 2.

Since: 1.0.3

### SHISHI_VERSION_PATCH

    #define             SHISHI_VERSION_PATCH

Pre-processor symbol with a decimal value that describe the patch level of the header file version number. For example, when the header version is 1.2.3 this symbol will be 3.

Since: 1.0.3

### SHISHI_VERSION_NUMBER

    #define             SHISHI_VERSION_NUMBER

Pre-processor symbol with a hexadecimal value describing the header file version number. For example, when the header version is 1.2.3 this symbol will have the value 0x010203.

Since: 1.0.3